/*
 * JPA DAO Template
 *
 *
 * Takatuka - Template fuer JPA DAO
 *
 */

package de.ivu.elect.business.entschaedigung.boundary;

import de.ivu.elect.business.entschaedigung.entity.Entschaedigungsart;

@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class EntschaedigungsartDAO extends AbstractEntschaedigungsartDAO {

  private static final long serialVersionUID = 1L;

  @javax.inject.Inject
  private transient de.ivu.elect.jee.entity.SimpleDAO simpleDAO;

  @Override
  protected javax.persistence.EntityManager getEntityManager() {
    return simpleDAO.getEntityManager();
  }

  public void persist(Entschaedigungsart entschaedigungsart){
    getEntityManager().persist(entschaedigungsart);
  }

  public void remove(Entschaedigungsart entschaedigungsart){
    getEntityManager().remove(entschaedigungsart);
  }

@javax.inject.Inject
private transient de.ivu.elect.presentation.system.DAOCache daoCache;

                    
        /**
        * Name: WahlAndKriteriumPersonendatenArtNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT obj FROM Entschaedigungsart obj WHERE obj.wahl = ?1 AND obj.kriteriumPersonendatenArt = ?2<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<Entschaedigungsart> findByWahlAndKriteriumPersonendatenArt( @javax.annotation.Nonnull de.ivu.elect.business.wahl.entity.Wahl wahl,  @javax.annotation.Nonnull String kriteriumPersonendatenArt) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("Entschaedigungsart.findByWahlAndKriteriumPersonendatenArt" ,  wahl ,  kriteriumPersonendatenArt  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByWahlAndKriteriumPersonendatenArt( wahl ,  kriteriumPersonendatenArt  ));
        }
        return (java.util.List<Entschaedigungsart>) cached;
        }
            return super.findByWahlAndKriteriumPersonendatenArt( wahl ,  kriteriumPersonendatenArt  );
            }
                                        
        /**
        * Name: WahlNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT obj FROM Entschaedigungsart obj WHERE obj.wahl = ?1<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<Entschaedigungsart> findByWahl( @javax.annotation.Nonnull de.ivu.elect.business.wahl.entity.Wahl wahl) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("Entschaedigungsart.findByWahl" ,  wahl  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByWahl( wahl  ));
        }
        return (java.util.List<Entschaedigungsart>) cached;
        }
            return super.findByWahl( wahl  );
            }
                                        
        /**
        * Name: WahlterminAndKriteriumPersonendatenArtNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT obj FROM Entschaedigungsart obj WHERE obj.wahltermin = ?1 AND obj.kriteriumPersonendatenArt = ?2<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<Entschaedigungsart> findByWahlterminAndKriteriumPersonendatenArt( @javax.annotation.Nonnull de.ivu.elect.business.wahl.entity.Wahltermin wahltermin,  @javax.annotation.Nonnull String kriteriumPersonendatenArt) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("Entschaedigungsart.findByWahlterminAndKriteriumPersonendatenArt" ,  wahltermin ,  kriteriumPersonendatenArt  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByWahlterminAndKriteriumPersonendatenArt( wahltermin ,  kriteriumPersonendatenArt  ));
        }
        return (java.util.List<Entschaedigungsart>) cached;
        }
            return super.findByWahlterminAndKriteriumPersonendatenArt( wahltermin ,  kriteriumPersonendatenArt  );
            }
                                            
        /**
        * Name: WahlterminNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT obj FROM Entschaedigungsart obj WHERE obj.wahltermin = ?1<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<Entschaedigungsart> findByWahltermin( @javax.annotation.Nonnull de.ivu.elect.business.wahl.entity.Wahltermin wahltermin) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("Entschaedigungsart.findByWahltermin" ,  wahltermin  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByWahltermin( wahltermin  ));
        }
        return (java.util.List<Entschaedigungsart>) cached;
        }
            return super.findByWahltermin( wahltermin  );
            }
                    
@Override
public void clear() {
super.clear();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}

}

@Override
public void flush() {
super.flush();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}
}



}